<template>
  <q-layout view="hHh Lpr fFf">

   <q-page-container>
      <!-- This is where pages get injected -->
      <router-view :key="$route.params.id" />
    </q-page-container>

  <q-footer v-if="$route.path != '/login' && $route.path !='/registerUser'" bordered class="bg-white">
    <q-tabs
      active-color="primary"
      indicator-color="primary"
      switch-indicator
      class="text-grey"
      align="justify"
    >
      <q-route-tab to="/userProfile" icon="grid_view"/>
      <q-route-tab to="/issues" icon="eva-alert-triangle-outline" />
      <q-route-tab to="/" icon="error_outline" />
      <q-route-tab to="/logout" icon="logout" />
    </q-tabs>
  </q-footer>

  </q-layout>
</template>


<script>
export default {
  // name: 'LayoutName',
};
</script>
